## openrazer 2.4.0+dfsg

=== Makefile ===
# DESTDIR is used to install into a different root directory
DESTDIR?=/
# Specify the kernel directory to use
KERNELDIR?=/lib/modules/$(shell uname -r)/build
# Need the absolute directory do the driver directory to build kernel modules
DRIVERDIR?=$(shell pwd)/driver

# Where kernel drivers are going to be installed
MODULEDIR?=/lib/modules/$(shell uname -r)/kernel/drivers/hid

# Python dir
PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')

DKMS_NAME?=openrazer-driver
DKMS_VER?=2.4.0


# Build all target
all: driver

# Driver compilation
driver:
	@echo -e "\n::\033[32m Compiling OpenRazer kernel modules\033[0m"
	@echo "========================================"
	make -C $(KERNELDIR) SUBDIRS=$(DRIVERDIR) modules

driver_clean:
	@echo -e "\n::\033[32m Cleaning OpenRazer kernel modules\033[0m"
	@echo "========================================"
	make -C "$(KERNELDIR)" SUBDIRS="$(DRIVERDIR)" clean

# Install kernel modules and then update module dependencies
driver_install:
	@echo -e "\n::\033[34m Installing OpenRazer kernel modules\033[0m"
	@echo "====================================================="
	@cp -v $(DRIVERDIR)/*.ko $(DESTDIR)/$(MODULEDIR)
	@chown -v root:root $(DESTDIR)/$(MODULEDIR)/*.ko
	depmod

# Just use for packaging openrazer, not for installing manually
driver_install_packaging:
	@echo -e "\n::\033[34m Installing OpenRazer kernel modules\033[0m"
	@echo "====================================================="
	@cp -v $(DRIVERDIR)/*.ko $(DESTDIR)/$(MODULEDIR)

# Remove kernel modules
driver_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer kernel modules\033[0m"
	@echo "====================================================="
	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerkbd.ko
	@rm -fv $(DESTDIR)/$(MODULEDIR)/razermouse.ko
	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerfirefly.ko
	@rm -fv $(DESTDIR)/$(MODULEDIR)/razercore.ko

# Razer Daemon
daemon_install:
	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
	@echo "====================================================="
	make --no-print-directory -C daemon install

ubuntu_daemon_install:
	@echo -e "\n::\033[34m Installing OpenRazer Daemon\033[0m"
	@echo "====================================================="
	make --no-print-directory -C daemon ubuntu_install


daemon_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer Daemon\033[0m"
	@echo "====================================================="
	make --no-print-directory -C daemon uninstall

# Python Library
python_library_install:
	@echo -e "\n::\033[34m Installing OpenRazer python library\033[0m"
	@echo "====================================================="
	@make --no-print-directory -C pylib install

ubuntu_python_library_install:
	@echo -e "\n::\033[34m Installing OpenRazer python library\033[0m"
	@echo "====================================================="
	@make --no-print-directory -C pylib ubuntu_install

python_library_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer python library\033[0m"
	@echo "====================================================="
	@make --no-print-directory -C pylib uninstall

# Legacy XDG autostart
xdg_install:
	@mkdir -p $(DESTDIR)/etc/xdg/autostart
	@cp -v ./install_files/desktop/openrazer-daemon.desktop $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop

xdg_uninstall:
	@rm -fv $(DESTDIR)/etc/xdg/autostart/openrazer-daemon.desktop

install-systemd:
	@make --no-print-directory -C daemon install-systemd

# Clean target
clean: driver_clean

setup_dkms:
	@echo -e "\n::\033[34m Installing DKMS files\033[0m"
	@echo "====================================================="
	install -m 644 -v -D Makefile $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/Makefile
	install -m 644 -v -D install_files/dkms/dkms.conf $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/dkms.conf
	install -m 755 -v -d driver $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/driver
	install -m 644 -v -D driver/Makefile $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/driver/Makefile
	install -m 644 -v driver/*.c $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/driver/
	install -m 644 -v driver/*.h $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/driver/
	rm -fv $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/driver/*.mod.c

remove_dkms:
	@echo "\n::\033[34m Removing DKMS files\033[0m"
	@echo "====================================================="
	rm -rf $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)

udev_install:
	@echo -e "\n::\033[34m Installing OpenRazer udev rules\033[0m"
	@echo "====================================================="
	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)/usr/lib/udev/rules.d/99-razer.rules
	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)/usr/lib/udev/razer_mount

udev_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
	@echo "====================================================="
	rm -f $(DESTDIR)/usr/lib/udev/rules.d/99-razer.rules $(DESTDIR)/usr/lib/udev/razer_mount

ubuntu_udev_install:
	@echo -e "\n::\033[34m Installing OpenRazer udev rules\033[0m"
	@echo "====================================================="
	install -m 644 -v -D install_files/udev/99-razer.rules $(DESTDIR)/lib/udev/rules.d/99-razer.rules
	install -m 755 -v -D install_files/udev/razer_mount $(DESTDIR)/lib/udev/razer_mount

ubuntu_udev_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer udev rules\033[0m"
	@echo "====================================================="
	rm -f $(DESTDIR)/lib/udev/rules.d/99-razer.rules $(DESTDIR)/lib/udev/razer_mount

appstream_install:
	@echo -e "\n::\033[34m Installing OpenRazer AppStream metadata\033[0m"
	@echo "====================================================="
	install -m 644 -v -D install_files/appstream/io.github.openrazer.openrazer.metainfo.xml $(DESTDIR)/usr/share/metainfo/io.github.openrazer.openrazer.metainfo.xml

appstream_uninstall:
	@echo -e "\n::\033[34m Uninstalling OpenRazer AppStream metadata\033[0m"
	@echo "====================================================="
	rm -f $(DESTDIR)/usr/share/metainfo/io.github.openrazer.openrazer.metainfo.xml

# Install for Ubuntu
ubuntu_install: setup_dkms ubuntu_udev_install ubuntu_daemon_install ubuntu_python_library_install appstream_install
	@echo -e "\n::\033[34m Installing for Ubuntu\033[0m"
	@echo "====================================================="
	mv $(DESTDIR)/usr/lib/python3.* $(DESTDIR)/usr/lib/python3
	mv $(DESTDIR)/usr/lib/python3/site-packages $(DESTDIR)/usr/lib/python3/dist-packages

install_i_know_what_i_am_doing: all driver_install udev_install python_library_install
	@make --no-print-directory -C daemon install DESTDIR=$(DESTDIR)

install: manual_install_msg ;

manual_install_msg:
	@echo "Please do not install the driver using this method. Use a distribution package as it tracks the files installed and can remove them afterwards. If you are 100% sure, you want to do this, find the correct target in the Makefile."
	@echo "Exiting."

uninstall: driver_uninstall udev_uninstall python_library_uninstall
	@make --no-print-directory -C daemon uninstall DESTDIR=$(DESTDIR)


.PHONY: driver

=== driver/Makefile ===
obj-m := razerkbd.o razermouse.o razerfirefly.o razerkraken.o razermug.o razercore.o

razerkbd-y := razerkbd_driver.o razercommon.o razerchromacommon.o
razermouse-y := razermouse_driver.o razercommon.o razerchromacommon.o
razerfirefly-y := razerfirefly_driver.o razercommon.o razerchromacommon.o
razerkraken-y := razerkraken_driver.o razercommon.o
razermug-y := razermug_driver.o razercommon.o razerchromacommon.o
razercore-y := razercore_driver.o razercommon.o razerchromacommon.o

=== debian/changelog ===
openrazer (2.4.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #909334)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 21 Oct 2018 20:51:18 +0200

=== debian/control ===
Source: openrazer
Maintainer: Dylan Aïssi <daissi@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               dkms,
               python3,
               python3-setuptools
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/openrazer
Vcs-Git: https://salsa.debian.org/debian/openrazer.git
Homepage: https://openrazer.github.io/

Package: openrazer-meta
Architecture: all
Depends: ${misc:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         openrazer-daemon (= ${binary:Version}),
         python3-openrazer (= ${binary:Version})
Suggests: openrazer-doc (= ${binary:Version})
Description: OpenRazer peripheral drivers (metapackage)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package is a metapackage which depends on the OpenRazer driver and
 userspace daemon, plus a Python library and documentation.

Package: openrazer-driver-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends},
         dkms,
         udev
# To avoid problem with old upstream deb packages
Conflicts: openrazer-kernel-modules-dkms
Provides: openrazer-kernel-modules-dkms
Replaces: openrazer-kernel-modules-dkms
Description: OpenRazer peripheral drivers (DKMS)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides the source code for the OpenRazer kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.
 .
 Please read the Troubleshooting Guide in
 /usr/share/doc/openrazer-driver-dkms/README.Debian.

Package: openrazer-daemon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-pyudev,
         python3-evdev,
         python3-setproctitle,
         python3-notify2,
         python3-daemonize (>= 2.4.0),
         gir1.2-gtk-3.0,
         xautomation,
         xdotool,
         dbus-user-session
Recommends: python3-openrazer (= ${binary:Version})
Description: OpenRazer peripheral drivers (daemon)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides a user-space daemon used to interface with the driver.
 It contains a systemd user unit and an AppStream file.

Package: python3-openrazer
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-daemon (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-numpy
Description: OpenRazer peripheral drivers (Python 3)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains a library for interacting with the OpenRazer daemon.

Package: openrazer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: OpenRazer peripheral drivers (documentation)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains scripts on how to interact with the daemon and
 the driver.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,dkms

override_dh_auto_clean:
	echo "No need to clean DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_build:
	echo "No need to build DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_install:
	$(MAKE) ubuntu_install install-systemd DESTDIR=$(CURDIR)/debian/tmp

override_dh_dkms:
	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf

## openrazer 2.5.0%2Bdfsg

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=2.4.0
+DKMS_VER?=2.5.0
 
 
 # Build all target
@@ -22,12 +22,12 @@
 driver:
 	@echo -e "\n::\033[32m Compiling OpenRazer kernel modules\033[0m"
 	@echo "========================================"
-	make -C $(KERNELDIR) SUBDIRS=$(DRIVERDIR) modules
+	$(MAKE) -C $(KERNELDIR) M=$(DRIVERDIR) modules
 
 driver_clean:
 	@echo -e "\n::\033[32m Cleaning OpenRazer kernel modules\033[0m"
 	@echo "========================================"
-	make -C "$(KERNELDIR)" SUBDIRS="$(DRIVERDIR)" clean
+	$(MAKE) -C "$(KERNELDIR)" M="$(DRIVERDIR)" clean
 
 # Install kernel modules and then update module dependencies
 driver_install:

=== daemon/Makefile ===
DESTDIR?=/
PREFIX?=/usr

purge_pycache:
	@find -name '__pycache__' | xargs rm -rf

service:
	@sed "s|##PREFIX##|$(PREFIX)|" resources/org.razer.service.in > org.razer.service
	@sed "s|##PREFIX##|$(PREFIX)|" resources/openrazer-daemon.systemd.service.in > openrazer-daemon.service

install-resources: service
	@install -m 644 -D -v resources/razer.conf $(DESTDIR)$(PREFIX)/share/openrazer/razer.conf.example
	@install -m 755 -D -v run_openrazer_daemon.py $(DESTDIR)$(PREFIX)/bin/openrazer-daemon

install-systemd:
	@install -m 644 -D -v org.razer.service $(DESTDIR)$(PREFIX)/share/dbus-1/services/org.razer.service
	@install -m 644 -D -v openrazer-daemon.service $(DESTDIR)$(PREFIX)/lib/systemd/user/openrazer-daemon.service

install: purge_pycache manpages install-resources install-systemd
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

ubuntu_install: purge_pycache manpages install-resources
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR) --no-compile

manpages:
	@install -m 644 -D -v resources/man/razer.conf.5 $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
	@gzip $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
	@install -m 644 -D -v resources/man/openrazer-daemon.8 $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8
	@gzip $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8

manpages_uninstall:
	@rm -f $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5.gz
	@rm -f $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8.gz

uninstall: manpages_uninstall
	$(eval DAEMONPATH := $(shell find $(DESTDIR)$(PREFIX)/lib/python3* -maxdepth 2 -name "openrazer_daemon"))
	$(eval EGGPATH := $(shell readlink -f $(DAEMONPATH)-*.egg-info/)) # shows an error when it's not already installed (maybe use some if condition)
	@rm -rf -v $(DAEMONPATH)
	@rm -rf -v $(EGGPATH)
	@rm -rf -v $(DESTDIR)$(PREFIX)/share/openrazer
	@rm -f -v $(DESTDIR)$(PREFIX)/bin/openrazer-daemon

## openrazer 2.5.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(openrazer)

set(SOURCES
        driver/razermouse_driver.c
        driver/razerfirefly_driver.c
        driver/razerkbd_driver.c
        driver/razercommon.c
        driver/razerchromacommon.c
        )

set(HEADERS
        driver/razermouse_driver.h
        driver/razerfirefly_driver.h
        driver/razerkbd_driver.h
        driver/razercommon.h
        driver/razerchromacommon.h
        )

set(TARGET_VARS
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
        SOURCES ${HEADERS} ${SOURCES}
)

execute_process(COMMAND uname -r
        OUTPUT_VARIABLE INSTALLED_KERNEL
        OUTPUT_STRIP_TRAILING_WHITESPACE
)
set(LINUX_KERNEL_PATH /usr/lib/modules/${INSTALLED_KERNEL})
include_directories(${LINUX_KERNEL_PATH}/build/include
    ${LINUX_KERNEL_PATH}/build/arch/x86/include
)

# Build all target
add_custom_target(All # all is reserved
        COMMAND make all
        ${TARGET_VARS}
)
add_custom_target(build-lp-all
        COMMAND make lp_all
        ${TARGET_VARS}
)

# Driver compilation
add_custom_target(driver
        COMMAND make driver
        ${TARGET_VARS}
)
add_custom_target(driver-verbose
        COMMAND make driver_verbose
        ${TARGET_VARS}
)
add_custom_target(driver-clean
        COMMAND make driver_clean
        ${TARGET_VARS}
)
# Install kernel modules and then update module dependencies
add_custom_target(driver-install
        COMMAND make driver_install
        ${TARGET_VARS}
)
# Remove kernel modules
add_custom_target(driver-uninstall
        COMMAND make driver_uninstall
        ${TARGET_VARS}
)

# Launchpad hacks
add_custom_target(lp-driver
        COMMAND make lp_driver
        ${TARGET_VARS}
)
add_custom_target(lp-driver-clean
        COMMAND make lp_driver_clean
        ${TARGET_VARS}
)

# Razer Daemon
add_custom_target(daemon-install
        COMMAND make daemon_install
        ${TARGET_VARS}
)
add_custom_target(daemon-uninstall
        COMMAND make daemon_uninstall
        ${TARGET_VARS}
)

# Python Library
add_custom_target(python-library-install
        COMMAND make python_library_install
        ${TARGET_VARS}
)
add_custom_target(python-library-uninstall
        COMMAND make python_library_uninstall
        ${TARGET_VARS}
)

# Clean target
add_custom_target(Clean # clean is reserved
        COMMAND make clean
        ${TARGET_VARS}
)

add_custom_target(setup-dkms
        COMMAND make setup_dkms
        ${TARGET_VARS}
)

add_custom_target(udev-install
        COMMAND make udev_install
        ${TARGET_VARS}
)
add_custom_target(udev-uninstall
        COMMAND make udev_uninstall
        ${TARGET_VARS}
)

# Install for Ubuntu
add_custom_target(ubuntu-install
        COMMAND make ubuntu_install
        ${TARGET_VARS}
)

add_custom_target(Install # install is reserved
        COMMAND make install
        ${TARGET_VARS}
)
add_custom_target(Uninstall # uninstall is reserved
        COMMAND make uninstall
        ${TARGET_VARS}
)

add_executable(FakeTarget ${HEADERS} ${SOURCES}) # fake target so kernel includes are found for autocompletion

target_compile_definitions(FakeTarget PUBLIC __KERNEL__=1)

=== driver/Makefile ===
obj-m := razerkbd.o razermouse.o razermousemat.o razerkraken.o razermug.o razercore.o

razerkbd-y := razerkbd_driver.o razercommon.o razerchromacommon.o
razermouse-y := razermouse_driver.o razercommon.o razerchromacommon.o
razermousemat-y := razermousemat_driver.o razercommon.o razerchromacommon.o
razerkraken-y := razerkraken_driver.o razercommon.o
razermug-y := razermug_driver.o razercommon.o razerchromacommon.o
razercore-y := razercore_driver.o razercommon.o razerchromacommon.o

=== debian/changelog ===
openrazer (2.5.0+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version: 4.4.0 (no changes needed).
  * Buster is released, so upload to unstable again.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 11 Jul 2019 17:30:26 +0200

openrazer (2.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright: add license of AppStream metadata file.
  * Bump Standards-Version: 4.3.0 (no changes needed).
  * Remove useless Dep for openrazer-daemon: python3-evdev.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 May 2019 13:53:04 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dkms,
                python3,
                python3-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
@@ -57,7 +57,6 @@
          python3-dbus,
          python3-gi,
          python3-pyudev,
-         python3-evdev,
          python3-setproctitle,
          python3-notify2,
          python3-daemonize (>= 2.4.0),

## openrazer 2.6.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=2.5.0
+DKMS_VER?=2.6.0
 
 
 # Build all target
@@ -111,7 +111,7 @@
 	rm -fv $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)/driver/*.mod.c
 
 remove_dkms:
-	@echo "\n::\033[34m Removing DKMS files\033[0m"
+	@echo -e "\n::\033[34m Removing DKMS files\033[0m"
 	@echo "====================================================="
 	rm -rf $(DESTDIR)/usr/src/$(DKMS_NAME)-$(DKMS_VER)

=== debian/changelog ===
openrazer (2.6.0+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Oct 2019 17:06:04 -0700

openrazer (2.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 12.
  * Remove useless Dep for openrazer-daemon: xdotool.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 01 Aug 2019 07:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: openrazer
-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                dkms,
                python3,
@@ -62,7 +63,6 @@
          python3-daemonize (>= 2.4.0),
          gir1.2-gtk-3.0,
          xautomation,
-         xdotool,
          dbus-user-session
 Recommends: python3-openrazer (= ${binary:Version})
 Description: OpenRazer peripheral drivers (daemon)

## openrazer 2.7.0

=== debian/changelog ===
openrazer (2.7.0-0) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.7.0-0

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 11 Jan 2020 11:18:19 +0100

openrazer (2.6.0) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.6.0

 -- Luca Weiss <luca@z3ntu.xyz>  Mon, 29 Jul 2019 16:22:52 +0200

openrazer (2.5.0) bionic; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.5.0

 -- Luca Weiss <luca@z3ntu.xyz>  Thu, 28 Mar 2019 19:06:54 +0100

openrazer (2.4.0) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.4.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 21 Oct 2018 18:21:27 +0200

openrazer (2.3.1) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.3.1

 -- Luca Weiss <luca@z3ntu.xyz>  Wed, 11 Jul 2018 17:09:23 +0200

openrazer (2.3.0) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.3.0

 -- Luca Weiss <luca@z3ntu.xyz>  Sun, 01 Apr 2018 15:49:19 +0200

openrazer (2.2.2) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.2.2

 -- Luca Weiss <luca@z3ntu.xyz>  Tue, 27 Feb 2018 20:45:43 +0100

openrazer (2.2.1) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.2.1

 -- Luca Weiss <luca@z3ntu.xyz>  Fri, 23 Feb 2018 21:51:47 +0100

openrazer (2.2.0) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.2.0

 -- Luca Weiss <luca@z3ntu.xyz>  Tue, 26 Dec 2017 17:29:26 +0100

openrazer (2.1.1) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.1.1

 -- Luca Weiss <luca@z3ntu.xyz>  Sat, 18 Nov 2017 12:35:27 +0100

openrazer (2.1-0ubuntu1) xenial; urgency=high

  * Changelog available at https://github.com/openrazer/openrazer/releases/tag/v2.1

 -- Luca Weiss <luca@z3ntu.xyz>  Tue, 14 Nov 2017 21:15:36 +0100

openrazer (2.0.0-0ubuntu1) xenial; urgency=high

  * Renamed to OpenRazer.

 -- Luke Horwell <luke@ubuntu-mate.org>  Sat, 2 Sep 2017 12:42:00 +0000

razer (1.1.16-0ubuntu1) xenial; urgency=high
  * Added Device - Razer Blade Stealth Mid 2017
  * Added Device - Razer Naga Chroma
  * Added Device - Razer AbyssusV2
  * Added fake driver config - Razer BlackWidow Chroma TE
  * Added fake driver config - Razer BlackWidow Chroma V2
  * Added fake driver config - Razer BlackWidow Original + Alt
  * Added fake driver config - Razer BlackWidow Ultimate 2012, 2013, 2016
  * Added fake driver config - Razer BlackWidow X Chroma, TE
  * Added fake driver config - Razer BlackWidow X Ultimate
  * Added fake driver config - Razer Blade Late 2016
  * Added fake driver config - Razer Blade Pro Late 2016
  * Added fake driver config - Razer Blade QHD
  * Added fake driver config - Razer Blade Stealth Late 2016
  * Added fake driver config - Razer Blade Stealth Mid 2017
  * Added fake driver config - Razer DeathAdder Elite
  * Added fake driver config - Razer DeathStalker Chroma
  * Added fake driver config - Razer DeathStalker Expert
  * Added fake driver config - Razer Diamondback Chroma
  * Added fake driver config - Razer Firefly
  * Added fake driver config - Razer Imperator
  * Added fake driver config - Razer Kraken Classic
  * Added fake driver config - Razer Mamba 2012 Wired
  * Added fake driver config - Razer Mamba 2012 Wireless
  * Added fake driver config - Razer Mamba Chroma Wired
  * Added fake driver config - Razer Mamba Chroma TE Wired
  * Added fake driver config - Razer Naga Chroma
  * Added fake driver config - Razer Naga Hex
  * Added fake driver config - Razer Naga Hex Red
  * Added fake driver config - Razer Nostromo
  * Added fake driver config - Razer Ornata
  * Added fake driver config - Razer Ornata Chroma
  * Added fake driver config - Razer Orochi 2011
  * Added fake driver config - Razer Orochi 2013
  * Added fake driver config - Razer Orochi Chroma
  * Added fake driver config - Razer Ouroboros
  * Added fake driver config - Razer Tapian
  * Added fake driver config - Razer Tartarus Chroma
  * Fixed Bug with laptops logo toggle
  * Implemented suspend on Taipan

 -- Terry Cain <terry@terrys-home.co.uk>  Fri, 1 Sep 2017 11:28:00 +0000

razer (1.1.15-0ubuntu1) xenial; urgency=high
  * Added Device - Razer Orochi 2013
  * Added Device - Razer Kraken 7.1 Classic
  * Added Device - Razer Tartarus
  * Added startlight to pylib
  * Added DBus endpoint to list supported devices
  * Fixed some Razer image resource urls
  * Added replaces in control file to purge razer-chroma-drivers

 -- Terry Cain <terry@terrys-home.co.uk>  Sat, 30 Jul 2017 16:12:00 +0000

razer (1.1.14-0ubuntu1) xenial; urgency=high
  * Added Device - Razer DeathStalker Expert
  * Added Device - Razer Orbweaver Chroma
  * Added Device - Razer Orochi 2011
  * Fixed bug (in daemon code) where serial is blank or 'Default String'
  * Fixed bug where battery notifier will crash if started before notification daemon
  * Replaced XDG Autostart with SystemD dbus unit, will autostart when org.razer is accessed
  * Updated man pages
  * Nerf'd make install
  * Moved data dir to .local
  * Updated pid check to allow for running as 1 daemon per user
  * Added battery endpoints to Mamaba2012
  * z3ntu reformatted all the driver files

 -- Terry Cain <terry@terrys-home.co.uk>  Sat, 1 Jul 2017 17:33:00 +0000

razer (1.1.13-0ubuntu1) xenial; urgency=high

  * Added Device - Razer Naga Hex (Red)
  * Fixed bug where udev was matching whole tree not just device
  * Fixed bug in 1byte dpi logic for old devices
  * Renamed razer-service back to razer-daemon
  * Added more example scripts
  * Changed default serials on fake driver configs

 -- Terry Cain <terry@terrys-home.co.uk>  Sun, 11 Jun 2017 17:24:00 +0000



=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: openrazer
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Terry Cain <terry@terrys-home.co.uk>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper (>= 9),
                dh-python,
                dkms,
                python3,
-               python3-setuptools
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/debian/openrazer
-Vcs-Git: https://salsa.debian.org/debian/openrazer.git
+               python3-setuptools,
+# Following can be removed when support for 16.04 will be dropped
+               lsb-release
+Standards-Version: 4.2.1
+Vcs-Browser: https://github.com/openrazer/openrazer/
+Vcs-Git: https://github.com/openrazer/openrazer.git
 Homepage: https://openrazer.github.io/
 
 Package: openrazer-meta
@@ -34,10 +35,15 @@
 Depends: ${misc:Depends},
          dkms,
          udev
-# To avoid problem with old upstream deb packages
-Conflicts: openrazer-kernel-modules-dkms
-Provides: openrazer-kernel-modules-dkms
-Replaces: openrazer-kernel-modules-dkms
+Conflicts: razer-chroma-driver,
+           razer-kernel-modules-dkms,
+           openrazer-kernel-modules-dkms
+Provides: razer-chroma-driver,
+          razer-kernel-modules-dkms,
+          openrazer-kernel-modules-dkms
+Replaces: razer-chroma-driver,
+          razer-kernel-modules-dkms,
+          openrazer-kernel-modules-dkms
 Description: OpenRazer peripheral drivers (DKMS)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -49,6 +55,7 @@
  .
  Please read the Troubleshooting Guide in
  /usr/share/doc/openrazer-driver-dkms/README.Debian.
+
 
 Package: openrazer-daemon
 Architecture: all
@@ -63,8 +70,11 @@
          python3-daemonize (>= 2.4.0),
          gir1.2-gtk-3.0,
          xautomation,
-         dbus-user-session
+         ${openrazer:dbus-user-session}
 Recommends: python3-openrazer (= ${binary:Version})
+Conflicts: razer-daemon
+Provides: razer-daemon
+Replaces: razer-daemon
 Description: OpenRazer peripheral drivers (daemon)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -82,6 +92,9 @@
          python3-dbus,
          python3-gi,
          python3-numpy
+Conflicts: python3-razer
+Provides: python3-razer
+Replaces: python3-razer
 Description: OpenRazer peripheral drivers (Python 3)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -93,6 +106,9 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Conflicts: razer-doc
+Provides: razer-doc
+Replaces: razer-doc
 Description: OpenRazer peripheral drivers (documentation)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,13 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# This value is default but we need it below
+DEB_DESTDIR=$(CURDIR)/debian/tmp
+
+# Use XDG autostart for 16.04 as a workaround for https://bugs.launchpad.net/ubuntu/+source/chromium-browser/+bug/1689825
+# All occurrences of "ifeq ($(release_ver),16.04)"
+# Remove when support for 16.04 can be dropped.
+release_ver := $(shell lsb_release --release --short)
 
 %:
 	dh $@ --with python3,dkms
@@ -12,7 +21,27 @@
 	echo "DKMS modules are built at packages installation time."
 
 override_dh_auto_install:
-	$(MAKE) ubuntu_install install-systemd DESTDIR=$(CURDIR)/debian/tmp
+ifeq ($(release_ver),16.04)
+	$(MAKE) ubuntu_install xdg_install DESTDIR=$(DEB_DESTDIR)
+else
+	$(MAKE) ubuntu_install install-systemd DESTDIR=$(DEB_DESTDIR)
+endif
+
+override_dh_install:
+ifeq ($(release_ver),16.04)
+	dh_install --package=openrazer-daemon etc/xdg/autostart/openrazer-daemon.desktop
+else
+	dh_install --package=openrazer-daemon usr/share/dbus-1/services/org.razer.service
+	dh_install --package=openrazer-daemon usr/lib/systemd/user/openrazer-daemon.service
+endif
+	dh_install --remaining-packages
 
 override_dh_dkms:
 	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf
+
+override_dh_gencontrol:
+ifeq ($(release_ver),16.04)
+	dh_gencontrol -- -Vopenrazer:dbus-user-session=
+else
+	dh_gencontrol -- -Vopenrazer:dbus-user-session=dbus-user-session
+endif

## openrazer 2.7.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=2.6.0
+DKMS_VER?=2.7.0
 
 
 # Build all target

=== driver/Makefile ===
obj-m := razerkbd.o razermouse.o razermousemat.o razerkraken.o razeraccessory.o razercore.o

razerkbd-y := razerkbd_driver.o razercommon.o razerchromacommon.o
razermouse-y := razermouse_driver.o razercommon.o razerchromacommon.o
razermousemat-y := razermousemat_driver.o razercommon.o razerchromacommon.o
razerkraken-y := razerkraken_driver.o razercommon.o
razeraccessory-y := razeraccessory_driver.o razercommon.o razerchromacommon.o
razercore-y := razercore_driver.o razercommon.o razerchromacommon.o

=== debian/changelog ===
openrazer (2.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.4.1 (no changes needed).
  * Swicth to debhelper-compat.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Jan 2020 07:36:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: openrazer
-Maintainer: Terry Cain <terry@terrys-home.co.uk>
+Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dkms,
                python3,
-               python3-setuptools,
-# Following can be removed when support for 16.04 will be dropped
-               lsb-release
-Standards-Version: 4.2.1
-Vcs-Browser: https://github.com/openrazer/openrazer/
-Vcs-Git: https://github.com/openrazer/openrazer.git
+               python3-setuptools
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/debian/openrazer
+Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
 
 Package: openrazer-meta
@@ -35,15 +33,10 @@
 Depends: ${misc:Depends},
          dkms,
          udev
-Conflicts: razer-chroma-driver,
-           razer-kernel-modules-dkms,
-           openrazer-kernel-modules-dkms
-Provides: razer-chroma-driver,
-          razer-kernel-modules-dkms,
-          openrazer-kernel-modules-dkms
-Replaces: razer-chroma-driver,
-          razer-kernel-modules-dkms,
-          openrazer-kernel-modules-dkms
+# To avoid problem with old upstream deb packages
+Conflicts: openrazer-kernel-modules-dkms
+Provides: openrazer-kernel-modules-dkms
+Replaces: openrazer-kernel-modules-dkms
 Description: OpenRazer peripheral drivers (DKMS)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -55,7 +48,6 @@
  .
  Please read the Troubleshooting Guide in
  /usr/share/doc/openrazer-driver-dkms/README.Debian.
-
 
 Package: openrazer-daemon
 Architecture: all
@@ -70,11 +62,8 @@
          python3-daemonize (>= 2.4.0),
          gir1.2-gtk-3.0,
          xautomation,
-         ${openrazer:dbus-user-session}
+         dbus-user-session
 Recommends: python3-openrazer (= ${binary:Version})
-Conflicts: razer-daemon
-Provides: razer-daemon
-Replaces: razer-daemon
 Description: OpenRazer peripheral drivers (daemon)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -92,9 +81,6 @@
          python3-dbus,
          python3-gi,
          python3-numpy
-Conflicts: python3-razer
-Provides: python3-razer
-Replaces: python3-razer
 Description: OpenRazer peripheral drivers (Python 3)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and
@@ -106,9 +92,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Conflicts: razer-doc
-Provides: razer-doc
-Replaces: razer-doc
 Description: OpenRazer peripheral drivers (documentation)
  OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
  Supported devices include keyboards, mice, mouse-mats, headsets and

## openrazer 2.8.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=2.7.0
+DKMS_VER?=2.8.0
 
 
 # Build all target

=== debian/changelog ===
openrazer (2.8.0+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Fri, 26 Jun 2020 11:12:22 -0400

openrazer (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.5.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Mon, 04 May 2020 07:58:47 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE=1

%:
	dh $@ --with python3,dkms

override_dh_auto_clean:
	echo "No need to clean DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_build:
	echo "No need to build DKMS modules at packages build time."
	echo "DKMS modules are built at packages installation time."

override_dh_auto_install:
	$(MAKE) ubuntu_install install-systemd DESTDIR=$(CURDIR)/debian/tmp

override_dh_dkms:
	dh_dkms -p openrazer-driver-dkms -- install_files/dkms/dkms.conf

## openrazer 2.9.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dkms,
                python3,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/openrazer
 Vcs-Git: https://salsa.debian.org/debian/openrazer.git
 Homepage: https://openrazer.github.io/
+Rules-Requires-Root: no
 
 Package: openrazer-meta
 Architecture: all

## openrazer 2.9.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PYTHONDIR?=$(shell python3 -c 'import sys; print(sys.path[-1])')
 
 DKMS_NAME?=openrazer-driver
-DKMS_VER?=2.8.0
+DKMS_VER?=2.9.0
 
 
 # Build all target
@@ -50,7 +50,6 @@
 	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerkbd.ko
 	@rm -fv $(DESTDIR)/$(MODULEDIR)/razermouse.ko
 	@rm -fv $(DESTDIR)/$(MODULEDIR)/razerfirefly.ko
-	@rm -fv $(DESTDIR)/$(MODULEDIR)/razercore.ko
 
 # Razer Daemon
 daemon_install:

=== daemon/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	@install -m 644 -D -v resources/razer.conf $(DESTDIR)$(PREFIX)/share/openrazer/razer.conf.example
 	@install -m 755 -D -v run_openrazer_daemon.py $(DESTDIR)$(PREFIX)/bin/openrazer-daemon
 
-install-systemd:
+install-systemd: service
 	@install -m 644 -D -v org.razer.service $(DESTDIR)$(PREFIX)/share/dbus-1/services/org.razer.service
 	@install -m 644 -D -v openrazer-daemon.service $(DESTDIR)$(PREFIX)/lib/systemd/user/openrazer-daemon.service

=== driver/Makefile ===
obj-m := razerkbd.o razermouse.o razerkraken.o razeraccessory.o

razerkbd-y := razerkbd_driver.o razercommon.o razerchromacommon.o
razermouse-y := razermouse_driver.o razercommon.o razerchromacommon.o
razerkraken-y := razerkraken_driver.o razercommon.o
razeraccessory-y := razeraccessory_driver.o razercommon.o razerchromacommon.o

=== pylib/Makefile ===
DESTDIR?=/

purge_pycache:
	@find -name '__pycache__' | xargs rm -rf

install: purge_pycache
	python3 setup.py install --prefix=/usr --root=$(DESTDIR)

ubuntu_install: purge_pycache
	python3 setup.py install --prefix=/usr --root=$(DESTDIR) --no-compile

uninstall:
	$(eval DAEMONPATH := $(shell find $(DESTDIR)/usr/lib/python3* -maxdepth 2 -name "razer"))
	$(eval EGGPATH := $(shell readlink -f $(DAEMONPATH)-*.egg-info/)) # shows an error when it's not already installed (maybe use some if condition)
	@rm -v -rf $(DAEMONPATH)
	@rm -v -rf $(EGGPATH)

=== debian/changelog ===
openrazer (2.9.0+dfsg-1ubuntu1) hirsute; urgency=medium

  * Make drivers return -ENODEV for kernels without RAW HID and USB
    support such as s390x (patch refresh from 2.5.0), (LP: #1916905)
    - this is a more generic solution to making this driver build for
      all kernels/architectures without the need of special arch
      specific packaging build exceptions.  Forward ported from 2.5.0 

 -- Colin Ian King <colin.king@canonical.com>  Wed, 24 Feb 2021 18:03:23 +0000

openrazer (2.9.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix install of manpages

 -- Dylan Aïssi <daissi@debian.org>  Fri, 13 Nov 2020 12:13:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: openrazer
-Maintainer: Dylan Aïssi <daissi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dylan Aïssi <daissi@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
